API referenceSharing
Read a session through a link
GET
No API token: the link is the credential. It only reads.
token*stringThe link's token, from its URL
The session
application/json- response
session*role*unknownentries*array<||||||||||||>curl -X GET 'http://127.0.0.1:7777/shared/Zm9vYmFyYmF6cXV4cXV1eA'Example Response
{ "session": { "sessionId": "string", "requestId": "string", "principal": "string", "meta": { "property1": "string", "property2": "string" }, "skills": { "property1": "string", "property2": "string" }, "createdAt": 0, "endedAt": 0, "model": { "id": "string", "thinking": "off" }, "parent": { "kind": "branch", "sessionId": "string", "atSeq": 0 } }, "role": "viewer", "entries": [ { "seq": 0, "at": 0, "kind": "user", "text": "string", "mode": "agent", "by": { "principal": "string", "name": "string" }, "attachments": [ { "attachmentId": "string", "name": "string", "size": 0, "type": "string" } ] } ]}